-- Conky, a system monitor https://github.com/brndnmtthws/conky
--
-- This configuration file is Lua code. You can write code in here, and it will
-- execute when Conky loads. You can use it to generate your own advanced
-- configurations.
--
-- Try this (remove the `--`):
--
--   print("Loading Conky config")
--
-- For more on Lua, see:
-- https://www.lua.org/pil/contents.html

conky.config = {
    alignment = 'top_right',
    background = true,
    border_width = 1,
    cpu_avg_samples = 2,
    default_color = 'white',
    default_outline_color = 'white',
    default_shade_color = 'white',
    double_buffer = true,
    draw_borders = false,
    draw_graph_borders = true,
    draw_outline = false,
    draw_shades = false,
    extra_newline = false,
    font = 'DejaVu Sans Mono:size=12',
    gap_x = 18,
    gap_y = 50,
    minimum_height = 5,
    minimum_width = 5,
    net_avg_samples = 2,
    no_buffers = true,
    out_to_console = false,
    out_to_ncurses = false,
    out_to_stderr = false,
    out_to_x = true,
    own_window = true,
    own_window_class = 'Conky',
    own_window_transparent = false,
    own_window_argb_visual = true,
    own_window_argb_value = 60,
    own_window_type = 'override',
    show_graph_range = false,
    show_graph_scale = false,
    stippled_borders = 0,
    update_interval = 1.0,
    uppercase = false,
    use_spacer = 'none',
    use_xft = true,
}

conky.text = [[
${color magenta}INF:$color $sysname $kernel $machine
$hr
${color magenta}UPT:$color $uptime
${color magenta}FRQ:$color $freq MHz
${color magenta}FRQ:$color $freq_g GHz
${color magenta}RAM:$color $mem/$memmax - $memperc% ${membar 4}
${color magenta}SWP:$color $swap/$swapmax - $swapperc% ${swapbar 4}
${color magenta}CPU:$color $cpu% ${cpubar 4}
${color magenta}PRO:$color $processes  ${color magenta}RUN:$color $running_processes
$hr
${color magenta}SDA: $color${fs_used /}/${fs_size /} ${fs_bar 6 /}
${color magenta}SDB: $color${fs_used /run/media/suwako/5ee60164-691b-424d-93e0-378c8c39db8e}/${fs_size /run/media/suwako/5ee60164-691b-424d-93e0-378c8c39db8e} ${fs_bar 6 /run/media/suwako/5ee60164-691b-424d-93e0-378c8c39db8e}
${color magenta}SDC: $color${fs_used /run/media/suwako/MEGA-SSD}/${fs_size /run/media/suwako/MEGA-SSD} ${fs_bar 6 /run/media/suwako/MEGA-SSD}
$hr
${color magenta}NET:
U:$color ${upspeed} ${color magenta} - D:$color ${downspeed}
${color magenta}IP: $color${addr enp8s0}
$hr
${color orange}XMR: $color${curl rate.sx/1xmr}
${color orange}BTC: $color${curl rate.sx/1btc}
$hr
${color magenta}Name              PID     CPU%   MEM%
${color cyan} ${top name 1} ${top pid 1} ${top cpu 1} ${top mem 1}
${color cyan} ${top name 2} ${top pid 2} ${top cpu 2} ${top mem 2}
${color cyan} ${top name 3} ${top pid 3} ${top cpu 3} ${top mem 3}
${color cyan} ${top name 4} ${top pid 4} ${top cpu 4} ${top mem 4}
]]
